<div class="row">

    <!-- Post Content Column -->
    <div class="col-lg-8">

        <!-- Title -->
        <h1 class="mt-4">{{post.title}}</h1>

        <!-- Author -->
        <p class="lead">
            by
            <a href="#">{{post.user.firstName}}</a>
        </p>

        <hr>

        <!-- Date/Time -->
        <p>Posted on {{dateGenerator post.date 'Do MMM YY'}} - Time: {{dateGenerator date 'LT'}} </p>

        <hr>

        <!-- Preview Image -->
        <img width="750px" class="img-fluid rounded" src="/uploads/{{post.file}}" alt="Image">

        <hr>

        <!-- Post Content -->
    <p >{{{post.body}}}</p>

        <hr>

        <!-- Comments Form -->
        {{#if uuser}}
{{#if post.allowComments}}
        <div class="card my-4">
            <h5 class="card-header">Leave a Comment:</h5>
            <div class="card-body">
                <form action="/admin/comments" method="POST">
                    <div class="form-group">
                        <textarea name="body" class="form-control" rows="3"></textarea>
                            <input name="id" type="hidden" value="{{post.id}}">
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
        </div>

            <!-- Single Comment -->
        {{#each post.comments}}
        <div class="media mb-4">
            <img width="50" height="50" class="d-flex mr-3 rounded-circle" src="/uploads/user/{{user.profilepicture}}" alt="USER">
            <div class="media-body">
                <h5 class="mt-0">{{user.firstName}}</h5>
               {{body}}
            </div>
        </div>
        {{/each}}

        {{else}}
        <h3>Comments not allowed for this post.</h3>
        <hr>

{{/if}}
{{else}}
<h3>To see and To write comments <a href="/login">Login</a> please. </h3>
{{/if}}

    

        <!-- Comment with nested comments 
        <div class="media mb-4">
            <img class="d-flex mr-3 rounded-circle" src="http://placehold.it/50x50" alt="">
            <div class="media-body">
                <h5 class="mt-0">Commenter Name</h5>
                Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus
                odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate
                fringilla. Donec lacinia congue felis in faucibus.

                <div class="media mt-4">
                    <img class="d-flex mr-3 rounded-circle" src="http://placehold.it/50x50" alt="">
                    <div class="media-body">
                        <h5 class="mt-0">Commenter Name</h5>
                        Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras
                        purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi
                        vulputate fringilla. Donec lacinia congue felis in faucibus.
                    </div>
                </div>

                <div class="media mt-4">
                    <img class="d-flex mr-3 rounded-circle" src="http://placehold.it/50x50" alt="">
                    <div class="media-body">
                        <h5 class="mt-0">Commenter Name</h5>
                        Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras
                        purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi
                        vulputate fringilla. Donec lacinia congue felis in faucibus.
                    </div>
                </div>

            </div>
        </div> -->

    </div>

    <!-- Sidebar Widgets Column -->
     {{>home/category-side-nav}}

</div>